Kicad 5.99 Wxpython activation

Hello everyone, I test the v5.99 (Future V6) of Kicad. I will want to use a Replicate_Layout external plug-ins (from the Kicad_Action_Plugins group) specifically adapted to the V5.99. But I get this message:
Script-Error
How to verify KICAD_SCRIPTING_WXPYTHON enabled ?
If you have ideas how to solve my problem, thank you!
Vincent.

There was a similar problem in How to run kicad-action-plugins on KiCad 5.99? but I don’t find an answer.

Hello @eelik Sorry to have duplicate the post can it move to reactivate the other post?

If it’s just for experimentation, have some patience till pcbnew is stable enough and Replicate_Layout plugin is updated, alternatively, embrace python and go on hacking yourself, the 5.99 compatible (and already outdated) version of Replicate_Layout is available here: https://github.com/MitjaNemec/Kicad_action_plugins/tree/5.99_test.

If it’s a critical application, I can help you, but then I will need info about your kicad build (Help > About > Copy Version info)

Thank you very much @Miceuz, no, it’s not critical, I moved my 5.1 project to 5.99 for trial, and when I try to watch sympathetic plugins like replace_layout I fall on this message. I download the version of the guitub 5.99_test and here is the version info:


But probably this version is exceeded …
For real need I continue to use V5.1 !
Thanks.
Vincent.

Use the Copy Version Info button in that dialog and then paste from the clipboard. It gives information about the used build flags.

Application: Pcbnew

Version: (5.99.0-8994-g20ec1fa354), release build

Libraries:
wxWidgets 3.0.5
libcurl/7.71.0 OpenSSL/1.1.1g (Schannel) zlib/1.2.11 brotli/1.0.7 libidn2/2.3.0 libpsl/0.21.0 (+libidn2/2.3.0) libssh2/1.9.0 nghttp2/1.41.0

Platform: Windows 10 (build 19042), 64-bit edition, 64 bit, Little endian, wxMSW

Build Info:
Date: Feb 11 2021 10:57:42
wxWidgets: 3.0.5 (wchar_t,wx containers,compatible with 2.8)
Boost: 1.73.0
OCE: 6.9.1
Curl: 7.71.0
ngspice: 32
Compiler: GCC 10.2.0 with C++ ABI 1014

Build settings:
KICAD_SCRIPTING=ON
KICAD_SCRIPTING_MODULES=ON
KICAD_SCRIPTING_PYTHON3=OFF
KICAD_SCRIPTING_WXPYTHON=ON
KICAD_SCRIPTING_WXPYTHON_PHOENIX=OFF
KICAD_SCRIPTING_ACTION_MENU=ON
KICAD_USE_OCE=ON
KICAD_SPICE=ON

I’m using msvc build from https://kicad-downloads.s3.cern.ch/index.html?prefix=windows/testing/.

2021-02-24T01:05:14.984Z 176.4 MB kicad-msvc.r21224.7318417ca4-x86_64-lite.exe 2021-02-24T01:07:34.782Z 1.0 GB kicad-msvc.r21224.7318417ca4-x86_64.exe

There’s no wxPython problem with it. But the plugin doesn’t work ATM without modification, see my last two posts in https://github.com/MitjaNemec/Kicad_action_plugins/issues/106. (EDIT: my comments in that issue aren’t all up to date, but there are still problems and the plugin doesn’t work.)

Thank you @eelik for the links, for lack of time I made the modification with version 5.1 which I transferred to 5.99. I think this will be adjusted later when the stability of 5.99 is better. Thanks again.
Vincent.